
#include<iostream>
#include<list>
using namespace std;


string FLTK_Classes[][6]={
  {"Fl_End","",},
  {"Fl_File_Icon","",},
  {"Fl_Image","",},
  {"Fl_Bitmap","Fl_Image","",},
  {"Fl_XBM_Image","Fl_Bitmap","Fl_Image","",},
  {"Fl_Pixmap","Fl_Image","",},
  {"Fl_GIF_Image","Fl_Pixmap","Fl_Image","",},
  {"Fl_XPM_Image","Fl_Pixmap","Fl_Image","",},
  {"Fl_RGB_Image","Fl_Image","",},
  {"Fl_BMP_Image","Fl_RGB_Image","Fl_Image","",},
  {"Fl_JPEG_Image","Fl_RGB_Image","Fl_Image","",},
  {"Fl_PNG_Image","Fl_RGB_Image","Fl_Image","",},
  {"Fl_PNM_Image","Fl_RGB_Image","Fl_Image","",},
  {"Fl_Shared_Image","Fl_Image","",},
  {"Fl_Tiled_Image","Fl_Image","",},
  {"Fl_Menu_Item","",},
  {"Fl_Preferences","",},
  {"Fl_Text_Buffer","",},
  {"Fl_Tooltip","",},
  {"Fl_Widget","",},
  {"Fl_Box","Fl_Widget","",},
  {"Fl_Browser_","Fl_Widget","",},
  {"Fl_Browser","Fl_Browser_","Fl_Widget","",},
  {"Fl_File_Browser","Fl_Browser","Fl_Browser_","Fl_Widget","",},
   {"Fl_Hold_Browser","Fl_Browser","Fl_Browser_","Fl_Widget","",},
   {"Fl_Multi_Browser","Fl_Browser","Fl_Browser_","Fl_Widget","",},
   {"Fl_Select_Browser ","Fl_Browser","Fl_Browser_","Fl_Widget","",},
   {"Fl_Check_Browser ","Fl_Browser_","Fl_Widget","",},
   {"Fl_Button","Fl_Widget","",},
   {"Fl_Check_Button","Fl_Button","Fl_Widget","",},
   {"Fl_Light_Button","Fl_Button","Fl_Widget","",},
   {"Fl_Repeat_Button","Fl_Button","Fl_Widget","",},
   {"Fl_Return_Button","Fl_Button","Fl_Widget","",},
   {"Fl_Round_Button ","Fl_Button","Fl_Widget","",},
   {"Fl_Chart","Fl_Widget","",},
   {"Fl_Clock","Fl_Widget","",},
   {"Fl_Free","Fl_Widget","",},
   {"Fl_Group","Fl_Widget","",},
   {"Fl_Color_Chooser","Fl_Group","Fl_Widget","",},
   {"Fl_File_Chooser","Fl_Group","Fl_Widget","",},
   {"Fl_Help_Dialog","Fl_Group","Fl_Widget","",},
   {"Fl_Help_View","Fl_Group","Fl_Widget","",},
   {"Fl_Pack","Fl_Group","Fl_Widget","",},
   {"Fl_Scroll","Fl_Group","Fl_Widget","",},
   {"Fl_Tabs","Fl_Group","Fl_Widget","",},
   {"Fl_Text_Display","Fl_Group","Fl_Widget","",},
   {"Fl_Text_Editor ","Fl_Text_Display","Fl_Group","Fl_Widget","",},
   {"Fl_Tile","Fl_Group","Fl_Widget","",},
   {"Fl_Window","Fl_Group","Fl_Widget","",},
   {"Fl_Double_Window","Fl_Window","Fl_Group","Fl_Widget","",},
   {"Fl_Gl_Window","Fl_Window","Fl_Group","Fl_Widget","",},
   {"Fl_Menu_Window","Fl_Window","Fl_Group","Fl_Widget","",},
   {"Fl_Overlay_Window","Fl_Window","Fl_Group","Fl_Widget","",},
   {"Fl_Single_Window ","Fl_Window","Fl_Group","Fl_Widget","",},
   {"Fl_Wizard ","Fl_Group","Fl_Widget","",},
   {"Fl_Input_","Fl_Widget","",},
   {"Fl_Input","Fl_Input_","Fl_Widget","",},
   {"Fl_Float_Input","Fl_Input","Fl_Input_","Fl_Widget","",},
   {"Fl_Int_Input","Fl_Input","Fl_Input_","Fl_Widget","",},
   {"Fl_Multiline_Input","Fl_Input","Fl_Input_","Fl_Widget","",},
   {"Fl_Secret_Input ","Fl_Input","Fl_Input_","Fl_Widget","",},
   {"Fl_Output","Fl_Input_","Fl_Widget","",},
   {"Fl_Multiline_Output ","Fl_Output","Fl_Input_","Fl_Widget","",},
   {"Fl_Menu_","Fl_Input_","Fl_Widget","",},
   {"Fl_Choice","Fl_Menu_","Fl_Input_","Fl_Widget","",},
   {"Fl_Menu_Bar","Fl_Menu_","Fl_Input_","Fl_Widget","",},
   {"Fl_Menu_Button ","Fl_Menu_","Fl_Input_","Fl_Widget","",},
   {"Fl_Positioner","Fl_Input_","Fl_Widget","",},
   {"Fl_Progress","Fl_Input_","Fl_Widget","",},
   {"Fl_Timer","Fl_Input_","Fl_Widget","",},
   {"Fl_Valuator","Fl_Input_","Fl_Widget","",},
   {"Fl_Adjuster","Fl_Valuator","Fl_Input_","Fl_Widget","",},
   {"Fl_Counter","Fl_Valuator","Fl_Input_","Fl_Widget","",},
   {"Fl_Dial","Fl_Valuator","Fl_Input_","Fl_Widget","",},
   {"Fl_Roller","Fl_Valuator","Fl_Input_","Fl_Widget","",},
   {"Fl_Slider","Fl_Valuator","Fl_Input_","Fl_Widget","",},
   {"Fl_Scrollbar","Fl_Slider","Fl_Valuator","Fl_Input_","Fl_Widget","",},
  {"Fl_Value_Slider ","Fl_Slider","Fl_Valuator","Fl_Input_","Fl_Widget","",},
  {"Fl_Value_Input","Fl_Valuator","Fl_Input_","Fl_Widget","",},
  {"Fl_Value_Output ","Fl_Valuator","Fl_Input_","Fl_Widget","",},
  {"",}
};


string xysystem[][2]={{"1",},{"3","4"}};

class bbox
{
private:
  int i;
public:
  bbox(){i=0;}
  bbox(int x) {i=x; }
  void print()
  {
    std::cout<<i<<std::endl;
  }

};

static void test()
{
  std::list<int> rope;
  rope.push_back(10);
  rope.push_back(11);
  rope.push_back(12);
  
  std::list<int>::const_iterator r;
  for(r=rope.begin();
      r!=rope.end();r++)
      std::cout<<*r<<std::endl;
}

static void iterTest()
{
  std::list<bbox *> rope;
  bbox *x=new bbox(10);
  rope.push_back(x);

  x=new bbox(11);
  rope.push_back(x);

  x=new bbox(12);
  rope.push_back(x);

  x=new bbox(13);
  rope.push_back(x);

  std::list<bbox *>::const_iterator itr;
  for(itr=rope.begin();itr!=rope.end();
      itr++)
    (*itr)->print();
}

static void tes2xfft()
{
  std::list<bbox *> rope;
  for(int i=0;i<10;i++) {
    bbox *x=new bbox(i);
    rope.push_back(x);
  }
}


int main()
{
  int i=0;
  bool flag=true;
  while(flag)
    {
      for(int j=0;j<6;j++)
	{
	  if (FLTK_Classes[i][j]=="")
	    {
	      if(j==0)		
		flag=false;
	      break;
	    }
	  string s=FLTK_Classes[i][j];
	  std::cout<<"["<<i<<" , "<<j <<" ] = "<<s<<std::endl;
	}
      i++;
    }

  return 0;
}
