/*file :  ./FL/Enumerations.H */
DEFCONST_INTERNAL(FL_NO_EVENT, 0 ,"");
DEFCONST_INTERNAL(FL_PUSH, 1 ,"");
DEFCONST_INTERNAL(FL_RELEASE, 2 ,"");
DEFCONST_INTERNAL(FL_ENTER, 3 ,"");
DEFCONST_INTERNAL(FL_LEAVE, 4 ,"");
DEFCONST_INTERNAL(FL_DRAG, 5 ,"");
DEFCONST_INTERNAL(FL_FOCUS, 6 ,"");
DEFCONST_INTERNAL(FL_UNFOCUS, 7 ,"");
DEFCONST_INTERNAL(FL_KEYDOWN, 8 ,"");
DEFCONST_INTERNAL(FL_KEYUP, 9 ,"");
DEFCONST_INTERNAL(FL_CLOSE, 10 ,"");
DEFCONST_INTERNAL(FL_MOVE, 11 ,"");
DEFCONST_INTERNAL(FL_SHORTCUT, 12 ,"");
DEFCONST_INTERNAL(FL_DEACTIVATE, 13 ,"");
DEFCONST_INTERNAL(FL_ACTIVATE, 14 ,"");
DEFCONST_INTERNAL(FL_HIDE, 15 ,"");
DEFCONST_INTERNAL(FL_SHOW, 16 ,"");
DEFCONST_INTERNAL(FL_PASTE, 17 ,"");
DEFCONST_INTERNAL(FL_SELECTIONCLEAR, 18 ,"");
DEFCONST_INTERNAL(FL_MOUSEWHEEL, 19 ,"");
DEFCONST_INTERNAL(FL_DND_ENTER, 20 ,"");
DEFCONST_INTERNAL(FL_DND_DRAG, 21 ,"");
DEFCONST_INTERNAL(FL_DND_LEAVE, 22 ,"");
DEFCONST_INTERNAL(FL_DND_RELEASE, 23 ,"");
DEFCONST_INTERNAL(FL_WHEN_NEVER, 0 ,"");
DEFCONST_INTERNAL(FL_WHEN_CHANGED, 1 ,"");
DEFCONST_INTERNAL(FL_WHEN_RELEASE, 4 ,"");
DEFCONST_INTERNAL(FL_WHEN_RELEASE_ALWAYS, 6 ,"");
DEFCONST_INTERNAL(FL_WHEN_ENTER_KEY, 8 ,"");
DEFCONST_INTERNAL(FL_WHEN_ENTER_KEY_ALWAYS, 10 ,"");
DEFCONST_INTERNAL(FL_WHEN_ENTER_KEY_CHANGED, 11 ,"");
DEFCONST_INTERNAL(FL_WHEN_NOT_CHANGED, 2 ,"");
DEFCONST_INTERNAL(FL_NO_BOX, 0 ,"");
DEFCONST_INTERNAL(FL_FREE_BOXTYPE, 18 ,"");
DEFCONST_INTERNAL(FL_NORMAL_LABEL, 0 ,"");
DEFCONST_INTERNAL(FL_NO_LABEL, 1 ,"");
DEFCONST_INTERNAL(_FL_SHADOW_LABEL, 2 ,"");
DEFCONST_INTERNAL(_FL_ENGRAVED_LABEL, 3 ,"");
DEFCONST_INTERNAL(_FL_EMBOSSED_LABEL, 4 ,"");
DEFCONST_INTERNAL(_FL_MULTI_LABEL, 5 ,"");
DEFCONST_INTERNAL(_FL_ICON_LABEL, 6 ,"");
DEFCONST_INTERNAL(_FL_IMAGE_LABEL, 7 ,"");
DEFCONST_INTERNAL(FL_FREE_LABELTYPE, 8 ,"");
DEFCONST_INTERNAL(FL_ALIGN_CENTER, 0 ,"");
DEFCONST_INTERNAL(FL_ALIGN_TOP, 1 ,"");
DEFCONST_INTERNAL(FL_ALIGN_BOTTOM, 2 ,"");
DEFCONST_INTERNAL(FL_ALIGN_LEFT, 4 ,"");
DEFCONST_INTERNAL(FL_ALIGN_RIGHT, 8 ,"");
DEFCONST_INTERNAL(FL_ALIGN_INSIDE, 16 ,"");
DEFCONST_INTERNAL(FL_ALIGN_TEXT_OVER_IMAGE, 32 ,"");
DEFCONST_INTERNAL(FL_ALIGN_IMAGE_OVER_TEXT, 0 ,"");
DEFCONST_INTERNAL(FL_ALIGN_CLIP, 64 ,"");
DEFCONST_INTERNAL(FL_ALIGN_WRAP, 128 ,"");
DEFCONST_INTERNAL(FL_ALIGN_TOP_LEFT, FL_ALIGN_TOP | FL_ALIGN_LEFT ,"");
DEFCONST_INTERNAL(FL_ALIGN_TOP_RIGHT, FL_ALIGN_TOP | FL_ALIGN_RIGHT ,"");
DEFCONST_INTERNAL(FL_ALIGN_BOTTOM_LEFT, FL_ALIGN_BOTTOM | FL_ALIGN_LEFT ,"");
DEFCONST_INTERNAL(FL_ALIGN_BOTTOM_RIGHT, FL_ALIGN_BOTTOM | FL_ALIGN_RIGHT ,"");
DEFCONST_INTERNAL(FL_ALIGN_LEFT_TOP, FL_ALIGN_TOP_LEFT ,"");
DEFCONST_INTERNAL(FL_ALIGN_RIGHT_TOP, FL_ALIGN_TOP_RIGHT ,"");
DEFCONST_INTERNAL(FL_ALIGN_LEFT_BOTTOM, FL_ALIGN_BOTTOM_LEFT ,"");
DEFCONST_INTERNAL(FL_ALIGN_RIGHT_BOTTOM, FL_ALIGN_BOTTOM_RIGHT ,"");
DEFCONST_INTERNAL(FL_ALIGN_NOWRAP, 0 ,"");
DEFCONST_INTERNAL(FL_HELVETICA, 0 ,"");
DEFCONST_INTERNAL(FL_HELVETICA_BOLD, 1 ,"");
DEFCONST_INTERNAL(FL_HELVETICA_ITALIC, 2 ,"");
DEFCONST_INTERNAL(FL_HELVETICA_BOLD_ITALIC, 3 ,"");
DEFCONST_INTERNAL(FL_COURIER, 4 ,"");
DEFCONST_INTERNAL(FL_COURIER_BOLD, 5 ,"");
DEFCONST_INTERNAL(FL_COURIER_ITALIC, 6 ,"");
DEFCONST_INTERNAL(FL_COURIER_BOLD_ITALIC, 7 ,"");
DEFCONST_INTERNAL(FL_TIMES, 8 ,"");
DEFCONST_INTERNAL(FL_TIMES_BOLD, 9 ,"");
DEFCONST_INTERNAL(FL_TIMES_ITALIC, 10 ,"");
DEFCONST_INTERNAL(FL_TIMES_BOLD_ITALIC, 11 ,"");
DEFCONST_INTERNAL(FL_SYMBOL, 12 ,"");
DEFCONST_INTERNAL(FL_SCREEN, 13 ,"");
DEFCONST_INTERNAL(FL_SCREEN_BOLD, 14 ,"");
DEFCONST_INTERNAL(FL_ZAPF_DINGBATS, 15 ,"");
DEFCONST_INTERNAL(FL_FREE_FONT, 16 ,"");
DEFCONST_INTERNAL(FL_BOLD, 1 ,"");
DEFCONST_INTERNAL(FL_ITALIC, 2 ,"");
DEFCONST_INTERNAL(FL_FOREGROUND_COLOR, 0 ,"");
DEFCONST_INTERNAL(FL_BACKGROUND2_COLOR, 7 ,"");
DEFCONST_INTERNAL(FL_INACTIVE_COLOR, 8 ,"");
DEFCONST_INTERNAL(FL_SELECTION_COLOR, 15 ,"");
DEFCONST_INTERNAL(FL_GRAY0, 32 ,"");
DEFCONST_INTERNAL(FL_DARK3, 39 ,"");
DEFCONST_INTERNAL(FL_DARK2, 45 ,"");
DEFCONST_INTERNAL(FL_DARK1, 47 ,"");
DEFCONST_INTERNAL(FL_BACKGROUND_COLOR, 49 ,"");
DEFCONST_INTERNAL(FL_LIGHT1, 50 ,"");
DEFCONST_INTERNAL(FL_LIGHT2, 52 ,"");
DEFCONST_INTERNAL(FL_LIGHT3, 54 ,"");
DEFCONST_INTERNAL(FL_BLACK, 56 ,"");
DEFCONST_INTERNAL(FL_RED, 88 ,"");
DEFCONST_INTERNAL(FL_GREEN, 63 ,"");
DEFCONST_INTERNAL(FL_YELLOW, 95 ,"");
DEFCONST_INTERNAL(FL_BLUE, 216 ,"");
DEFCONST_INTERNAL(FL_MAGENTA, 248 ,"");
DEFCONST_INTERNAL(FL_CYAN, 223 ,"");
DEFCONST_INTERNAL(FL_DARK_RED, 72 ,"");
DEFCONST_INTERNAL(FL_DARK_GREEN, 60 ,"");
DEFCONST_INTERNAL(FL_DARK_YELLOW, 76 ,"");
DEFCONST_INTERNAL(FL_DARK_BLUE, 136 ,"");
DEFCONST_INTERNAL(FL_DARK_MAGENTA, 152 ,"");
DEFCONST_INTERNAL(FL_DARK_CYAN, 140 ,"");
DEFCONST_INTERNAL(FL_WHITE, 255 ,"");
DEFCONST_INTERNAL(FL_CURSOR_DEFAULT, 0 ,"");
DEFCONST_INTERNAL(FL_CURSOR_ARROW, 35 ,"");
DEFCONST_INTERNAL(FL_CURSOR_CROSS, 66 ,"");
DEFCONST_INTERNAL(FL_CURSOR_WAIT, 76 ,"");
DEFCONST_INTERNAL(FL_CURSOR_INSERT, 77 ,"");
DEFCONST_INTERNAL(FL_CURSOR_HAND, 31 ,"");
DEFCONST_INTERNAL(FL_CURSOR_HELP, 47 ,"");
DEFCONST_INTERNAL(FL_CURSOR_MOVE, 27 ,"");
DEFCONST_INTERNAL(FL_CURSOR_NS, 78 ,"");
DEFCONST_INTERNAL(FL_CURSOR_WE, 79 ,"");
DEFCONST_INTERNAL(FL_CURSOR_NWSE, 80 ,"");
DEFCONST_INTERNAL(FL_CURSOR_NESW, 81 ,"");
DEFCONST_INTERNAL(FL_CURSOR_NONE, 255 ,"");
DEFCONST_INTERNAL(FL_CURSOR_N, 70 ,"");
DEFCONST_INTERNAL(FL_CURSOR_NE, 69 ,"");
DEFCONST_INTERNAL(FL_CURSOR_E, 49 ,"");
DEFCONST_INTERNAL(FL_CURSOR_SE, 8 ,"");
DEFCONST_INTERNAL(FL_CURSOR_S, 9 ,"");
DEFCONST_INTERNAL(FL_CURSOR_SW, 7 ,"");
DEFCONST_INTERNAL(FL_CURSOR_W, 36 ,"");
DEFCONST_INTERNAL(FL_CURSOR_NW, 68 ,"");
DEFCONST_INTERNAL(FL_READ, 1 ,"");
DEFCONST_INTERNAL(FL_WRITE, 4 ,"");
DEFCONST_INTERNAL(FL_EXCEPT, 8 ,"");
DEFCONST_INTERNAL(FL_RGB, 0 ,"");
DEFCONST_INTERNAL(FL_INDEX, 1 ,"");
DEFCONST_INTERNAL(FL_SINGLE, 0 ,"");
DEFCONST_INTERNAL(FL_DOUBLE, 2 ,"");
DEFCONST_INTERNAL(FL_ACCUM, 4 ,"");
DEFCONST_INTERNAL(FL_ALPHA, 8 ,"");
DEFCONST_INTERNAL(FL_DEPTH, 16 ,"");
DEFCONST_INTERNAL(FL_STENCIL, 32 ,"");
DEFCONST_INTERNAL(FL_RGB8, 64 ,"");
DEFCONST_INTERNAL(FL_MULTISAMPLE, 128 ,"");
DEFCONST_INTERNAL(FL_STEREO, 256 ,"");
DEFCONST_INTERNAL(FL_FAKE_SINGLE, 512 ,"");
DEFCONST_INTERNAL(FL_DAMAGE_CHILD, 0x01 ,"");
DEFCONST_INTERNAL(FL_DAMAGE_EXPOSE, 0x02 ,"");
DEFCONST_INTERNAL(FL_DAMAGE_SCROLL, 0x04 ,"");
DEFCONST_INTERNAL(FL_DAMAGE_OVERLAY, 0x08 ,"");
DEFCONST_INTERNAL(FL_DAMAGE_USER1, 0x10 ,"");
DEFCONST_INTERNAL(FL_DAMAGE_USER2, 0x20 ,"");
DEFCONST_INTERNAL(FL_DAMAGE_ALL, 0x80 ,"");
/*file :  ./FL/Fl.H */
/*file :  ./FL/Fl_Adjuster.H */
/*file :  ./FL/Fl_BMP_Image.H */
/*file :  ./FL/Fl_Bitmap.H */
/*file :  ./FL/Fl_Box.H */
/*file :  ./FL/Fl_Browser.H */
/*file :  ./FL/Fl_Browser_.H */
DEFCONST_INTERNAL(HORIZONTAL, 1 ,"");
DEFCONST_INTERNAL(VERTICAL, 2 ,"");
DEFCONST_INTERNAL(BOTH, 3 ,"");
DEFCONST_INTERNAL(ALWAYS_ON, 4 ,"");
DEFCONST_INTERNAL(HORIZONTAL_ALWAYS, 5 ,"");
DEFCONST_INTERNAL(VERTICAL_ALWAYS, 6 ,"");
DEFCONST_INTERNAL(BOTH_ALWAYS, 7 ,"");
/*file :  ./FL/Fl_Button.H */
/*file :  ./FL/Fl_Chart.H */
/*file :  ./FL/Fl_Check_Browser.H */
/*file :  ./FL/Fl_Check_Button.H */
/*file :  ./FL/Fl_Choice.H */
/*file :  ./FL/Fl_Clock.H */
/*file :  ./FL/Fl_Color_Chooser.H */
/*file :  ./FL/Fl_Counter.H */
/*file :  ./FL/Fl_Dial.H */
/*file :  ./FL/Fl_Double_Window.H */
/*file :  ./FL/Fl_Export.H */
/*file :  ./FL/Fl_File_Browser.H */
/*file :  ./FL/Fl_File_Chooser.H */
/* DEFCONST_INTERNAL(__GCONV_OK, 0 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_NOCONV, 1 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_NODB, 2 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_NOMEM, 3 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_EMPTY_INPUT, 4 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_FULL_OUTPUT, 5 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_ILLEGAL_INPUT, 6 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_INCOMPLETE_INPUT, 7 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_ILLEGAL_DESCRIPTOR, 8 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_INTERNAL_ERROR, 9 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_IS_LAST, 0x0001 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_IGNORE_ERRORS, 0x0002 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__codecvt_ok, 0 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__codecvt_partial, 1 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__codecvt_error, 2 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__codecvt_noconv, 3 ,""); [seems internal]*/
DEFCONST_INTERNAL(private:, 0 ,"");
DEFCONST_INTERNAL(public:, 17 ,"");
/* Enum Already Generated: private: */
/* Enum Already Generated: public: */
/* Enum Already Generated: private: */
/* Enum Already Generated: public: */
/* Enum Already Generated: private: */
/* Enum Already Generated: public: */
/*file :  ./FL/Fl_File_Icon.H */
DEFCONST_INTERNAL(ANY, 0 ,"");
DEFCONST_INTERNAL(PLAIN, 1 ,"");
DEFCONST_INTERNAL(FIFO, 2 ,"");
DEFCONST_INTERNAL(DEVICE, 3 ,"");
DEFCONST_INTERNAL(LINK, 4 ,"");
DEFCONST_INTERNAL(DIRECTORY, 5 ,"");
DEFCONST_INTERNAL(END, 0 ,"");
DEFCONST_INTERNAL(COLOR, 1 ,"");
DEFCONST_INTERNAL(LINE, 2 ,"");
DEFCONST_INTERNAL(CLOSEDLINE, 3 ,"");
DEFCONST_INTERNAL(POLYGON, 4 ,"");
DEFCONST_INTERNAL(OUTLINEPOLYGON, 5 ,"");
DEFCONST_INTERNAL(VERTEX, 6 ,"");
/*file :  ./FL/Fl_File_Input.H */
/*file :  ./FL/Fl_Fill_Dial.H */
/*file :  ./FL/Fl_Fill_Slider.H */
/*file :  ./FL/Fl_Float_Input.H */
/*file :  ./FL/Fl_FormsBitmap.H */
/*file :  ./FL/Fl_FormsPixmap.H */
/*file :  ./FL/Fl_Free.H */
/*file :  ./FL/Fl_GIF_Image.H */
/*file :  ./FL/Fl_Gl_Window.H */
/*file :  ./FL/Fl_Group.H */
/*file :  ./FL/Fl_Help_Dialog.H */
/*file :  ./FL/Fl_Help_View.H */
/* DEFCONST_INTERNAL(__GCONV_OK, 0 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_NOCONV, 1 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_NODB, 2 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_NOMEM, 3 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_EMPTY_INPUT, 4 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_FULL_OUTPUT, 5 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_ILLEGAL_INPUT, 6 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_INCOMPLETE_INPUT, 7 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_ILLEGAL_DESCRIPTOR, 8 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_INTERNAL_ERROR, 9 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_IS_LAST, 0x0001 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_IGNORE_ERRORS, 0x0002 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__codecvt_ok, 0 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__codecvt_partial, 1 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__codecvt_error, 2 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__codecvt_noconv, 3 ,""); [seems internal]*/
DEFCONST_INTERNAL(bgcolor_, 2 ,"");
DEFCONST_INTERNAL(textcolor_, 3 ,"");
DEFCONST_INTERNAL(leftline_, 23 ,"");
DEFCONST_INTERNAL(size_, 24 ,"");
/*file :  ./FL/Fl_Hold_Browser.H */
/*file :  ./FL/Fl_Hor_Fill_Slider.H */
/*file :  ./FL/Fl_Hor_Nice_Slider.H */
/*file :  ./FL/Fl_Hor_Slider.H */
/*file :  ./FL/Fl_Hor_Value_Slider.H */
/*file :  ./FL/Fl_Image.H */
/*file :  ./FL/Fl_Input.H */
/*file :  ./FL/Fl_Input_.H */
/*file :  ./FL/Fl_Int_Input.H */
/*file :  ./FL/Fl_JPEG_Image.H */
/*file :  ./FL/Fl_Light_Button.H */
/*file :  ./FL/Fl_Line_Dial.H */
/*file :  ./FL/Fl_Menu.H */
/*file :  ./FL/Fl_Menu_.H */
/*file :  ./FL/Fl_Menu_Bar.H */
/*file :  ./FL/Fl_Menu_Button.H */
/*file :  ./FL/Fl_Menu_Item.H */
DEFCONST_INTERNAL(FL_MENU_INACTIVE, 1 ,"");
DEFCONST_INTERNAL(FL_MENU_TOGGLE, 2 ,"");
DEFCONST_INTERNAL(FL_MENU_VALUE, 4 ,"");
DEFCONST_INTERNAL(FL_MENU_RADIO, 8 ,"");
DEFCONST_INTERNAL(FL_MENU_INVISIBLE, 0x10 ,"");
DEFCONST_INTERNAL(FL_SUBMENU_POINTER, 0x20 ,"");
DEFCONST_INTERNAL(FL_SUBMENU, 0x40 ,"");
DEFCONST_INTERNAL(FL_MENU_DIVIDER, 0x80 ,"");
DEFCONST_INTERNAL(FL_MENU_HORIZONTAL, 0x100 ,"");
DEFCONST_INTERNAL(FL_PUP_NONE, 0 ,"");
DEFCONST_INTERNAL(FL_PUP_GREY, FL_MENU_INACTIVE ,"");
DEFCONST_INTERNAL(FL_PUP_GRAY, FL_MENU_INACTIVE ,"");
DEFCONST_INTERNAL(FL_MENU_BOX, FL_MENU_TOGGLE ,"");
DEFCONST_INTERNAL(FL_PUP_BOX, FL_MENU_TOGGLE ,"");
DEFCONST_INTERNAL(FL_MENU_CHECK, FL_MENU_VALUE ,"");
DEFCONST_INTERNAL(FL_PUP_CHECK, FL_MENU_VALUE ,"");
DEFCONST_INTERNAL(FL_PUP_RADIO, FL_MENU_RADIO ,"");
DEFCONST_INTERNAL(FL_PUP_INVISIBLE, FL_MENU_INVISIBLE ,"");
DEFCONST_INTERNAL(FL_PUP_SUBMENU, FL_SUBMENU_POINTER ,"");
/*file :  ./FL/Fl_Menu_Window.H */
/* Enum Already Generated: public: */
/*file :  ./FL/Fl_Multi_Browser.H */
/*file :  ./FL/Fl_Multi_Label.H */
/*file :  ./FL/Fl_Multiline_Input.H */
/*file :  ./FL/Fl_Multiline_Output.H */
/*file :  ./FL/Fl_Nice_Slider.H */
/*file :  ./FL/Fl_Object.H */
/*file :  ./FL/Fl_Output.H */
/*file :  ./FL/Fl_Overlay_Window.H */
/*file :  ./FL/Fl_PNG_Image.H */
/*file :  ./FL/Fl_PNM_Image.H */
/*file :  ./FL/Fl_Pack.H */
/* Enum Already Generated: VERTICAL */
/* Enum Already Generated: HORIZONTAL */
/*file :  ./FL/Fl_Pixmap.H */
/*file :  ./FL/Fl_Positioner.H */
/*file :  ./FL/Fl_Preferences.H */
/* DEFCONST_INTERNAL(__GCONV_OK, 0 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_NOCONV, 1 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_NODB, 2 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_NOMEM, 3 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_EMPTY_INPUT, 4 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_FULL_OUTPUT, 5 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_ILLEGAL_INPUT, 6 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_INCOMPLETE_INPUT, 7 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_ILLEGAL_DESCRIPTOR, 8 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_INTERNAL_ERROR, 9 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_IS_LAST, 0x0001 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__GCONV_IGNORE_ERRORS, 0x0002 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__codecvt_ok, 0 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__codecvt_partial, 1 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__codecvt_error, 2 ,""); [seems internal]*/
/* DEFCONST_INTERNAL(__codecvt_noconv, 3 ,""); [seems internal]*/
/* Enum Already Generated: public: */
/*file :  ./FL/Fl_Progress.H */
/*file :  ./FL/Fl_Radio_Button.H */
/*file :  ./FL/Fl_Radio_Light_Button.H */
/*file :  ./FL/Fl_Radio_Round_Button.H */
/*file :  ./FL/Fl_Repeat_Button.H */
/*file :  ./FL/Fl_Return_Button.H */
/*file :  ./FL/Fl_Roller.H */
/*file :  ./FL/Fl_Round_Button.H */
/*file :  ./FL/Fl_Round_Clock.H */
/*file :  ./FL/Fl_Scroll.H */
/* Enum Already Generated: HORIZONTAL */
/* Enum Already Generated: VERTICAL */
/* Enum Already Generated: BOTH */
/* Enum Already Generated: ALWAYS_ON */
/* Enum Already Generated: HORIZONTAL_ALWAYS */
/* Enum Already Generated: VERTICAL_ALWAYS */
/* Enum Already Generated: BOTH_ALWAYS */
/*file :  ./FL/Fl_Scrollbar.H */
/*file :  ./FL/Fl_Secret_Input.H */
/*file :  ./FL/Fl_Select_Browser.H */
/*file :  ./FL/Fl_Shared_Image.H */
/*file :  ./FL/Fl_Simple_Counter.H */
/*file :  ./FL/Fl_Single_Window.H */
/*file :  ./FL/Fl_Slider.H */
/*file :  ./FL/Fl_Sys_Menu_Bar.H */
/*file :  ./FL/Fl_Tabs.H */
/*file :  ./FL/Fl_Text_Buffer.H */
/*file :  ./FL/Fl_Text_Display.H */
DEFCONST_INTERNAL(DRAG_CHAR, 0 ,"");
DEFCONST_INTERNAL(ATTR_NONE, 0 ,"");
DEFCONST_INTERNAL(ATTR_UNDERLINE, 1 ,"");
DEFCONST_INTERNAL(ATTR_HIDDEN, 2 ,"");
/*file :  ./FL/Fl_Text_Editor.H */
/*file :  ./FL/Fl_Tile.H */
/*file :  ./FL/Fl_Tiled_Image.H */
/*file :  ./FL/Fl_Timer.H */
/*file :  ./FL/Fl_Toggle_Button.H */
/*file :  ./FL/Fl_Toggle_Light_Button.H */
/*file :  ./FL/Fl_Toggle_Round_Button.H */
/*file :  ./FL/Fl_Tooltip.H */
/*file :  ./FL/Fl_Valuator.H */
/*file :  ./FL/Fl_Value_Input.H */
/*file :  ./FL/Fl_Value_Output.H */
/*file :  ./FL/Fl_Value_Slider.H */
/*file :  ./FL/Fl_Widget.H */
/*file :  ./FL/Fl_Window.H */
DEFCONST_INTERNAL(FL_MODAL, 64 ,"");
DEFCONST_INTERNAL(FL_NOBORDER, 8 ,"");
DEFCONST_INTERNAL(FL_FORCE_POSITION, 16 ,"");
DEFCONST_INTERNAL(FL_NON_MODAL, 32 ,"");
DEFCONST_INTERNAL(FL_OVERRIDE, 256 ,"");
/*file :  ./FL/Fl_Wizard.H */
/*file :  ./FL/Fl_XBM_Image.H */
/*file :  ./FL/Fl_XPM_Image.H */
/*file :  ./FL/filename.H */
DEFCONST_INTERNAL(DT_UNKNOWN, 0 ,"");
DEFCONST_INTERNAL(DT_FIFO, 1 ,"");
DEFCONST_INTERNAL(DT_CHR, 2 ,"");
DEFCONST_INTERNAL(DT_DIR, 4 ,"");
DEFCONST_INTERNAL(DT_BLK, 6 ,"");
DEFCONST_INTERNAL(DT_REG, 8 ,"");
DEFCONST_INTERNAL(DT_LNK, 10 ,"");
DEFCONST_INTERNAL(DT_SOCK, 12 ,"");
DEFCONST_INTERNAL(DT_WHT, 14 ,"");
/*file :  ./FL/fl_ask.H */
DEFCONST_INTERNAL(FL_BEEP_DEFAULT, 0 ,"");
DEFCONST_INTERNAL(FL_BEEP_MESSAGE, 1 ,"");
DEFCONST_INTERNAL(FL_BEEP_ERROR, 2 ,"");
DEFCONST_INTERNAL(FL_BEEP_QUESTION, 3 ,"");
DEFCONST_INTERNAL(FL_BEEP_PASSWORD, 4 ,"");
DEFCONST_INTERNAL(FL_BEEP_NOTIFICATION, 5 ,"");
/*file :  ./FL/fl_draw.H */
DEFCONST_INTERNAL(FL_SOLID, 0 ,"");
DEFCONST_INTERNAL(FL_DASH, 1 ,"");
DEFCONST_INTERNAL(FL_DOT, 2 ,"");
DEFCONST_INTERNAL(FL_DASHDOT, 3 ,"");
DEFCONST_INTERNAL(FL_DASHDOTDOT, 4 ,"");
DEFCONST_INTERNAL(FL_CAP_FLAT, 0x100 ,"");
DEFCONST_INTERNAL(FL_CAP_ROUND, 0x200 ,"");
DEFCONST_INTERNAL(FL_CAP_SQUARE, 0x300 ,"");
DEFCONST_INTERNAL(FL_JOIN_MITER, 0x1000 ,"");
DEFCONST_INTERNAL(FL_JOIN_ROUND, 0x2000 ,"");
DEFCONST_INTERNAL(FL_JOIN_BEVEL, 0x3000 ,"");
/*file :  ./FL/fl_message.H */
/*file :  ./FL/fl_show_colormap.H */
/*file :  ./FL/fl_show_input.H */
/*file :  ./FL/forms.H */
DEFCONST_INTERNAL(FL_PLACE_FREE, 0 ,"");
DEFCONST_INTERNAL(FL_PLACE_MOUSE, 1 ,"");
DEFCONST_INTERNAL(FL_PLACE_CENTER, 2 ,"");
DEFCONST_INTERNAL(FL_PLACE_POSITION, 4 ,"");
DEFCONST_INTERNAL(FL_PLACE_SIZE, 8 ,"");
DEFCONST_INTERNAL(FL_PLACE_GEOMETRY, 16 ,"");
DEFCONST_INTERNAL(FL_PLACE_ASPECT, 32 ,"");
DEFCONST_INTERNAL(FL_PLACE_FULLSCREEN, 64 ,"");
DEFCONST_INTERNAL(FL_PLACE_HOTSPOT, 128 ,"");
DEFCONST_INTERNAL(FL_PLACE_ICONIC, 256 ,"");
DEFCONST_INTERNAL(FL_FREE_SIZE, 16384 ,"");
DEFCONST_INTERNAL(FL_FIX_SIZE, 32768 ,"");
/* Enum Already Generated: FL_NOBORDER */
DEFCONST_INTERNAL(FL_FULLBORDER, 1 ,"");
DEFCONST_INTERNAL(FL_TRANSIENT, 2 ,"");
/*file :  ./FL/gl_draw.H */
/*file :  ./FL/glut.H */
DEFCONST_INTERNAL(GLUT_RETURN_ZERO, 0 ,"");
DEFCONST_INTERNAL(GLUT_WINDOW_X, 1 ,"");
DEFCONST_INTERNAL(GLUT_WINDOW_Y, 2 ,"");
DEFCONST_INTERNAL(GLUT_WINDOW_WIDTH, 3 ,"");
DEFCONST_INTERNAL(GLUT_WINDOW_HEIGHT, 4 ,"");
DEFCONST_INTERNAL(GLUT_WINDOW_PARENT, 5 ,"");
DEFCONST_INTERNAL(GLUT_SCREEN_WIDTH, 6 ,"");
DEFCONST_INTERNAL(GLUT_SCREEN_HEIGHT, 7 ,"");
DEFCONST_INTERNAL(GLUT_MENU_NUM_ITEMS, 8 ,"");
DEFCONST_INTERNAL(GLUT_DISPLAY_MODE_POSSIBLE, 9 ,"");
DEFCONST_INTERNAL(GLUT_INIT_WINDOW_X, 10 ,"");
DEFCONST_INTERNAL(GLUT_INIT_WINDOW_Y, 11 ,"");
DEFCONST_INTERNAL(GLUT_INIT_WINDOW_WIDTH, 12 ,"");
DEFCONST_INTERNAL(GLUT_INIT_WINDOW_HEIGHT, 13 ,"");
DEFCONST_INTERNAL(GLUT_INIT_DISPLAY_MODE, 14 ,"");
DEFCONST_INTERNAL(GLUT_WINDOW_BUFFER_SIZE, 15 ,"");
/*file :  ./FL/mac.H */
/*file :  ./FL/win32.H */
/*file :  ./FL/x.H */
DEFCONST_INTERNAL(XOMOrientation_LTR_TTB, 0 ,"");
DEFCONST_INTERNAL(XOMOrientation_RTL_TTB, 1 ,"");
DEFCONST_INTERNAL(XOMOrientation_TTB_LTR, 2 ,"");
DEFCONST_INTERNAL(XOMOrientation_TTB_RTL, 3 ,"");
DEFCONST_INTERNAL(XOMOrientation_Context, 4 ,"");
DEFCONST_INTERNAL(XIMAbsolutePosition, 5 ,"");
DEFCONST_INTERNAL(XIMDontChange, 6 ,"");
DEFCONST_INTERNAL(XIMIsInvisible, 0 ,"");
DEFCONST_INTERNAL(XIMIsPrimary, 1 ,"");
DEFCONST_INTERNAL(XIMIsSecondary, 2 ,"");
DEFCONST_INTERNAL(XIMTextType, 0 ,"");
DEFCONST_INTERNAL(XIMBitmapType, 1 ,"");
DEFCONST_INTERNAL(XStringStyle, 0 ,"");
DEFCONST_INTERNAL(XCompoundTextStyle, 1 ,"");
DEFCONST_INTERNAL(XTextStyle, 2 ,"");
DEFCONST_INTERNAL(XStdICCTextStyle, 3 ,"");
DEFCONST_INTERNAL(XUTF8StringStyle, 4 ,"");
